/*
 * KQEMU
 *
 * Copyright (C) 2004-2008 Fabrice Bellard
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
    INSN(00)
    INSN_S(01)
    INSN(02)
    INSN_S(03)
    INSN(04)
    INSN_S(05)
    INSN(06)
    INSN(07)
    INSN(08)
    INSN_S(09)
    INSN(0a)
    INSN_S(0b)
    INSN(0c)
    INSN_S(0d)
    INSN(0e)
    INSN(0f)
    INSN(10)
    INSN_S(11)
    INSN(12)
    INSN_S(13)
    INSN(14)
    INSN_S(15)
    INSN(16)
    INSN(17)
    INSN(18)
    INSN_S(19)
    INSN(1a)
    INSN_S(1b)
    INSN(1c)
    INSN_S(1d)
    INSN(1e)
    INSN(1f)
    INSN(20)
    INSN_S(21)
    INSN(22)
    INSN_S(23)
    INSN(24)
    INSN_S(25)
    INSN(26)
    INSN(27)
    INSN(28)
    INSN_S(29)
    INSN(2a)
    INSN_S(2b)
    INSN(2c)
    INSN_S(2d)
    INSN(2e)
    INSN(2f)
    INSN(30)
    INSN_S(31)
    INSN(32)
    INSN_S(33)
    INSN(34)
    INSN_S(35)
    INSN(36)
    INSN(37)
    INSN(38)
    INSN_S(39)
    INSN(3a)
    INSN_S(3b)
    INSN(3c)
    INSN_S(3d)
    INSN(3e)
    INSN(3f)
    INSN(40)
    INSN(41)
    INSN(42)
    INSN(43)
    INSN(44)
    INSN(45)
    INSN(46)
    INSN(47)
    INSN(48)
    INSN(49)
    INSN(4a)
    INSN(4b)
    INSN(4c)
    INSN(4d)
    INSN(4e)
    INSN(4f)
    INSN_S(50)
    INSN_S(51)
    INSN_S(52)
    INSN_S(53)
    INSN_S(54)
    INSN_S(55)
    INSN_S(56)
    INSN_S(57)
    INSN(58)
    INSN(59)
    INSN(5a)
    INSN(5b)
    INSN(5c)
    INSN(5d)
    INSN(5e)
    INSN(5f)
    INSN(60)
    INSN(61)
    INSN(62)
    INSN_S(63)
    INSN(64)
    INSN(65)
    INSN(66)
    INSN(67)
    INSN(68)
    INSN(69)
    INSN(6a)
    INSN(6b)
    INSN(6c)
    INSN(6d)
    INSN(6e)
    INSN(6f)
    INSN(70)
    INSN(71)
    INSN(72)
    INSN(73)
    INSN(74)
    INSN(75)
    INSN(76)
    INSN(77)
    INSN(78)
    INSN(79)
    INSN(7a)
    INSN(7b)
    INSN(7c)
    INSN(7d)
    INSN(7e)
    INSN(7f)
    INSN(80)
    INSN_S(81)
    INSN(82)
    INSN_S(83)
    INSN(84)
    INSN(85)
    INSN(86)
    INSN(87)
    INSN(88)
    INSN_S(89)
    INSN(8a)
    INSN_S(8b)
    INSN(8c)
    INSN_S(8d)
    INSN(8e)
    INSN(8f)
    INSN(90)
    INSN(91)
    INSN(92)
    INSN(93)
    INSN(94)
    INSN(95)
    INSN(96)
    INSN(97)
    INSN(98)
    INSN(99)
    INSN(9a)
    INSN(9b)
    INSN(9c)
    INSN(9d)
    INSN(9e)
    INSN(9f)
    INSN(a0)
    INSN(a1)
    INSN(a2)
    INSN(a3)
    INSN(a4)
    INSN(a5)
    INSN(a6)
    INSN(a7)
    INSN(a8)
    INSN(a9)
    INSN(aa)
    INSN(ab)
    INSN(ac)
    INSN(ad)
    INSN(ae)
    INSN(af)
    INSN(b0)
    INSN(b1)
    INSN(b2)
    INSN(b3)
    INSN(b4)
    INSN(b5)
    INSN(b6)
    INSN(b7)
    INSN_S(b8)
    INSN_S(b9)
    INSN_S(ba)
    INSN_S(bb)
    INSN_S(bc)
    INSN_S(bd)
    INSN_S(be)
    INSN_S(bf)
    INSN(c0)
    INSN(c1)
    INSN(c2)
    INSN(c3)
    INSN(c4)
    INSN(c5)
    INSN(c6)
    INSN_S(c7)
    INSN(c8)
    INSN(c9)
    INSN(ca)
    INSN(cb)
    INSN(cc)
    INSN(cd)
    INSN(ce)
    INSN(cf)
    INSN(d0)
    INSN(d1)
    INSN(d2)
    INSN(d3)
    INSN(d4)
    INSN(d5)
    INSN(d6)
    INSN(d7)
    INSN(d8)
    INSN(d9)
    INSN(da)
    INSN(db)
    INSN(dc)
    INSN(dd)
    INSN(de)
    INSN(df)
    INSN(e0)
    INSN(e1)
    INSN(e2)
    INSN(e3)
    INSN(e4)
    INSN(e5)
    INSN(e6)
    INSN(e7)
    INSN(e8)
    INSN(e9)
    INSN(ea)
    INSN(eb)
    INSN(ec)
    INSN(ed)
    INSN(ee)
    INSN(ef)
    INSN(f0)
    INSN(f1)
    INSN(f2)
    INSN(f3)
    INSN(f4)
    INSN(f5)
    INSN(f6)
    INSN(f7)
    INSN(f8)
    INSN(f9)
    INSN(fa)
    INSN(fb)
    INSN(fc)
    INSN(fd)
    INSN(fe)
    INSN(ff)
    INSN(100)
    INSN(101)
    INSN(102)
    INSN(103)
    INSN(104)
    INSN(105)
    INSN(106)
    INSN(107)
    INSN(108)
    INSN(109)
    INSN(10a)
    INSN(10b)
    INSN(10c)
    INSN(10d)
    INSN(10e)
    INSN(10f)
    INSN(110)
    INSN(111)
    INSN(112)
    INSN(113)
    INSN(114)
    INSN(115)
    INSN(116)
    INSN(117)
    INSN(118)
    INSN(119)
    INSN(11a)
    INSN(11b)
    INSN(11c)
    INSN(11d)
    INSN(11e)
    INSN(11f)
    INSN(120)
    INSN(121)
    INSN(122)
    INSN(123)
    INSN(124)
    INSN(125)
    INSN(126)
    INSN(127)
    INSN(128)
    INSN(129)
    INSN(12a)
    INSN(12b)
    INSN(12c)
    INSN(12d)
    INSN(12e)
    INSN(12f)
    INSN(130)
    INSN(131)
    INSN(132)
    INSN(133)
    INSN(134)
    INSN(135)
    INSN(136)
    INSN(137)
    INSN(138)
    INSN(139)
    INSN(13a)
    INSN(13b)
    INSN(13c)
    INSN(13d)
    INSN(13e)
    INSN(13f)
    INSN(140)
    INSN(141)
    INSN(142)
    INSN(143)
    INSN(144)
    INSN(145)
    INSN(146)
    INSN(147)
    INSN(148)
    INSN(149)
    INSN(14a)
    INSN(14b)
    INSN(14c)
    INSN(14d)
    INSN(14e)
    INSN(14f)
    INSN(150)
    INSN(151)
    INSN(152)
    INSN(153)
    INSN(154)
    INSN(155)
    INSN(156)
    INSN(157)
    INSN(158)
    INSN(159)
    INSN(15a)
    INSN(15b)
    INSN(15c)
    INSN(15d)
    INSN(15e)
    INSN(15f)
    INSN(160)
    INSN(161)
    INSN(162)
    INSN(163)
    INSN(164)
    INSN(165)
    INSN(166)
    INSN(167)
    INSN(168)
    INSN(169)
    INSN(16a)
    INSN(16b)
    INSN(16c)
    INSN(16d)
    INSN(16e)
    INSN(16f)
    INSN(170)
    INSN(171)
    INSN(172)
    INSN(173)
    INSN(174)
    INSN(175)
    INSN(176)
    INSN(177)
    INSN(178)
    INSN(179)
    INSN(17a)
    INSN(17b)
    INSN(17c)
    INSN(17d)
    INSN(17e)
    INSN(17f)
    INSN_S(180)
    INSN_S(181)
    INSN_S(182)
    INSN_S(183)
    INSN_S(184)
    INSN_S(185)
    INSN_S(186)
    INSN_S(187)
    INSN_S(188)
    INSN_S(189)
    INSN_S(18a)
    INSN_S(18b)
    INSN_S(18c)
    INSN_S(18d)
    INSN_S(18e)
    INSN_S(18f)
    INSN(190)
    INSN(191)
    INSN(192)
    INSN(193)
    INSN(194)
    INSN(195)
    INSN(196)
    INSN(197)
    INSN(198)
    INSN(199)
    INSN(19a)
    INSN(19b)
    INSN(19c)
    INSN(19d)
    INSN(19e)
    INSN(19f)
    INSN(1a0)
    INSN(1a1)
    INSN(1a2)
    INSN(1a3)
    INSN(1a4)
    INSN(1a5)
    INSN(1a6)
    INSN(1a7)
    INSN(1a8)
    INSN(1a9)
    INSN(1aa)
    INSN(1ab)
    INSN(1ac)
    INSN(1ad)
    INSN(1ae)
    INSN(1af)
    INSN(1b0)
    INSN(1b1)
    INSN(1b2)
    INSN(1b3)
    INSN(1b4)
    INSN(1b5)
    INSN_S(1b6)
    INSN_S(1b7)
    INSN(1b8)
    INSN(1b9)
    INSN(1ba)
    INSN(1bb)
    INSN(1bc)
    INSN(1bd)
    INSN_S(1be)
    INSN_S(1bf)
    INSN(1c0)
    INSN(1c1)
    INSN(1c2)
    INSN(1c3)
    INSN(1c4)
    INSN(1c5)
    INSN(1c6)
    INSN(1c7)
    INSN(1c8)
    INSN(1c9)
    INSN(1ca)
    INSN(1cb)
    INSN(1cc)
    INSN(1cd)
    INSN(1ce)
    INSN(1cf)
    INSN(1d0)
    INSN(1d1)
    INSN(1d2)
    INSN(1d3)
    INSN(1d4)
    INSN(1d5)
    INSN(1d6)
    INSN(1d7)
    INSN(1d8)
    INSN(1d9)
    INSN(1da)
    INSN(1db)
    INSN(1dc)
    INSN(1dd)
    INSN(1de)
    INSN(1df)
    INSN(1e0)
    INSN(1e1)
    INSN(1e2)
    INSN(1e3)
    INSN(1e4)
    INSN(1e5)
    INSN(1e6)
    INSN(1e7)
    INSN(1e8)
    INSN(1e9)
    INSN(1ea)
    INSN(1eb)
    INSN(1ec)
    INSN(1ed)
    INSN(1ee)
    INSN(1ef)
    INSN(1f0)
    INSN(1f1)
    INSN(1f2)
    INSN(1f3)
    INSN(1f4)
    INSN(1f5)
    INSN(1f6)
    INSN(1f7)
    INSN(1f8)
    INSN(1f9)
    INSN(1fa)
    INSN(1fb)
    INSN(1fc)
    INSN(1fd)
    INSN(1fe)
    INSN(1ff)
